#include <psychlops.h>
using namespace Psychlops;

void psychlops_main() {
	Canvas cnvs(1024,768,Canvas::window);
	cnvs.watchFPS();
	cnvs.showFPS();
	Mouse::show();
	Color::setGammaValue(1.0,1.0,1.0);


	Figures::ShaderGaussianDot shaderDot;
	shaderDot.setSigma(6).centering();

	Image imageDot;
	shaderDot.to(imageDot);
	shaderDot.fill = Color::red;
	imageDot.centering().shift(0,100);


	while(!Keyboard::esc.pushed()) {
		cnvs.clear(Color::gray);
		cnvs.msg(L"シェーダ", cnvs.getHcenter(), shaderDot.getTop());
		shaderDot.shift(0.05,0).draw();
		cnvs.msg(L"オフスクリーン画像", cnvs.getHcenter(), imageDot.getTop());
		imageDot .shift(0.05,0).draw();
		cnvs.flip();
	}
}

